Subject: bug#20821: 24.5; ido-mode autocompletion failure aborts find-file when attempting to use tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 12 Dec 2015 15:47:00 +0100

Daniel Brooks <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Looks like ido.el assumes something about file-name-all-completions
>> that isn't happening on MS-Windows.  What do you get when you invoke
>>
>>   (file-name-all-completions "" "/plinkx:eliz@")
>
> I'm away from my only windows machine, but I've tried it in a fresh
> install in a vm. When I run this it attempts to make an FTP connection
> to the host plinkx, which fails.

... which would be OK, given you have set `tramp-default-method' to "ftp".

I believe there is some interaction between Ido and Tramp which does not
fit proper. Will investigate.

> db48x

Best regards, Michael.